[augeas-devel] augeas: master - * tests/test-get.sh: use new descendant syntax to find errors

David Lutterkort lutter at fedoraproject.org
Sat Jan 31 00:57:55 UTC 2009


Gitweb:        http://git.fedorahosted.org/git/augeas.git?p=augeas.git;a=commitdiff;h=43496c08ecb73d7e524c93b354d407f7db4f04f0
Commit:        43496c08ecb73d7e524c93b354d407f7db4f04f0
Parent:        8d0a5cb2b0daf801aa3aba577ee4a10b32ae46a5
Author:        David Lutterkort <lutter at redhat.com>
AuthorDate:    Sun Jan 25 20:47:38 2009 -0800
Committer:     David Lutterkort <lutter at redhat.com>
CommitterDate: Fri Jan 30 16:54:45 2009 -0800

* tests/test-get.sh: use new descendant syntax to find errors

---
 tests/test-get.sh |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/tests/test-get.sh b/tests/test-get.sh
index 96431f8..2605aef 100755
--- a/tests/test-get.sh
+++ b/tests/test-get.sh
@@ -9,5 +9,9 @@ TOPDIR=$(cd $(dirname $0)/.. && pwd)
 export AUGEAS_LENS_LIB=$abs_top_srcdir/lenses
 export AUGEAS_ROOT=$abs_top_srcdir/tests/root
 
-augtool --nostdinc print '/augeas/files' | grep -q /error && ret=1 || ret=0
-exit $ret
+errors=$(augtool --nostdinc match '/augeas//error')
+
+if [ "x$errors" != "x  (no matches)" ] ; then
+    printf "get /augeas//error reported errors:\n%s\n" "$errors"
+    exit 1
+fi




More information about the augeas-devel mailing list